VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form SettingsForm 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Einstellungen"
   ClientHeight    =   1320
   ClientLeft      =   45
   ClientTop       =   615
   ClientWidth     =   4785
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1320
   ScaleWidth      =   4785
   StartUpPosition =   1  'Fenstermitte
   Begin VB.TextBox txtColorisation 
      Alignment       =   1  'Rechts
      Height          =   285
      Left            =   3720
      TabIndex        =   8
      Text            =   "1"
      Top             =   960
      Width           =   975
   End
   Begin VB.CommandButton cmdNew 
      Caption         =   "neu"
      Height          =   255
      Left            =   3720
      TabIndex        =   6
      Top             =   480
      Width           =   975
   End
   Begin VB.CommandButton cmdDelete 
      Caption         =   "lschen"
      Height          =   255
      Left            =   2160
      TabIndex        =   5
      Top             =   480
      Width           =   975
   End
   Begin VB.HScrollBar sclColor 
      Height          =   255
      Left            =   600
      Max             =   1
      Min             =   1
      TabIndex        =   0
      Top             =   120
      Value           =   1
      Width           =   3615
   End
   Begin MSComDlg.CommonDialog ColorDialog 
      Left            =   1200
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
      DialogTitle     =   "Farbe auswhlen"
   End
   Begin MSComDlg.CommonDialog SaveDialog 
      Left            =   600
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
      DefaultExt      =   "az-colorizetext-settings"
      DialogTitle     =   "Einstellungen speichern"
      FileName        =   "*.az-colorizetext-settings"
      Filter          =   "*.az-colorizetext-settings|ColorizeText-Einstellungen"
      Flags           =   4
   End
   Begin MSComDlg.CommonDialog LoadDialog 
      Left            =   1800
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
      DefaultExt      =   "az-colorizetext-settings"
      DialogTitle     =   "Einstellungen laden"
      FileName        =   "*.az-colorizetext-settings"
      Filter          =   "*.az-colorizetext-settings|ColorizeText-Einstellungen"
      Flags           =   4
   End
   Begin VB.Label Label1 
      Caption         =   "Farbverlauf auf folgende Anzahl von Zeichen:"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   960
      Width           =   3495
   End
   Begin VB.Line Line1 
      X1              =   0
      X2              =   4800
      Y1              =   840
      Y2              =   840
   End
   Begin VB.Label lblShowColor 
      BackColor       =   &H00000000&
      BorderStyle     =   1  'Fest Einfach
      Height          =   255
      Left            =   720
      TabIndex        =   4
      Top             =   480
      Width           =   855
   End
   Begin VB.Label Label2 
      Caption         =   "Farbe:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   735
   End
   Begin VB.Label lblAnzColor 
      Alignment       =   1  'Rechts
      BorderStyle     =   1  'Fest Einfach
      Caption         =   "1"
      Height          =   255
      Left            =   4200
      TabIndex        =   2
      Top             =   120
      Width           =   495
   End
   Begin VB.Label lblAktColor 
      BorderStyle     =   1  'Fest Einfach
      Caption         =   "1"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   495
   End
   Begin VB.Menu mnuSave 
      Caption         =   "Speichern"
   End
   Begin VB.Menu mnuLoad 
      Caption         =   "Laden"
   End
End
Attribute VB_Name = "SettingsForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdDelete_Click()
 If MainForm.GetAnzColors = 1 Then Exit Sub
 MainForm.DeleteColor sclColor.Value
 lblAnzColor.Caption = LTrim$(RTrim$(Str$(MainForm.GetAnzColors)))
 sclColor.Max = MainForm.GetAnzColors
 sclColor_Change
End Sub

Private Sub cmdNew_Click()
 MainForm.AddColor
 lblAnzColor.Caption = LTrim$(RTrim$(Str$(MainForm.GetAnzColors)))
 sclColor.Max = MainForm.GetAnzColors
 sclColor.Value = sclColor.Max
End Sub

Private Sub Form_Load()
 lblAnzColor.Caption = LTrim$(RTrim$(Str$(MainForm.GetAnzColors)))
 sclColor.Max = MainForm.GetAnzColors
 sclColor_Change
 txtColorisation.Text = LTrim$(RTrim$(Str$(MainForm.GetColorisation)))
End Sub

Private Sub lblShowColor_Click()
 On Error GoTo CancelDialog
 ColorDialog.Color = lblShowColor.BackColor
 ColorDialog.ShowColor
 
 lblShowColor.BackColor = ColorDialog.Color
 MainForm.SetColor sclColor.Value, ColorDialog.Color
 
 Exit Sub

CancelDialog:
 Exit Sub
End Sub

Private Sub mnuLoad_Click()
 On Error GoTo CancelDialog
 LoadDialog.ShowOpen
 
 Dim FileNum%
 FileNum% = FreeFile
 Open LoadDialog.FileName For Input As FileNum%
 Dim Temp As String
 Line Input #FileNum%, Temp
 txtColorisation.Text = Temp
 Dim X As Long
 For X = 1 To MainForm.GetAnzColors
  MainForm.DeleteColor 1
 Next
 Do While Not EOF(FileNum%)
  Line Input #FileNum%, Temp
  If Not Temp = "" Then
   MainForm.SetColor MainForm.AddColor, Val(Temp)
  End If
 Loop
 Close FileNum%
 
 lblAnzColor.Caption = LTrim$(RTrim$(Str$(MainForm.GetAnzColors)))
 sclColor.Max = MainForm.GetAnzColors
 sclColor_Change
 
 Exit Sub
 
CancelDialog:
 Exit Sub
End Sub

Private Sub mnuSave_Click()
 On Error GoTo CancelDialog
 SaveDialog.ShowSave
 
 Dim FileNum%
 FileNum% = FreeFile
 Open SaveDialog.FileName For Output As FileNum%
 Print #FileNum%, txtColorisation.Text
 Dim X As Long
 For X = 1 To MainForm.GetAnzColors
  Print #FileNum%, LTrim$(RTrim$(Str$(MainForm.GetColor(X))))
 Next
 Close FileNum%
 
 Exit Sub
 
CancelDialog:
 Exit Sub
End Sub

Private Sub sclColor_Change()
 lblShowColor.BackColor = MainForm.GetColor(sclColor.Value)
 lblAktColor.Caption = LTrim$(RTrim$(Str$(sclColor.Value)))
End Sub

Private Sub sclColor_Scroll()
 sclColor_Change
End Sub

Private Sub txtColorisation_Change()
 On Error Resume Next
 MainForm.SetColorisation Val(txtColorisation.Text)
End Sub
